/*
 * NullDateEditPlugin.cpp is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QObject>
#include <QtUiPlugin/QDesignerCustomWidgetInterface>
#include <QString>
#include <QWidget>
#include <QIcon>
#include <QtPlugin>

#include "NullDateEditPlugin.h"
#include "NullDateEdit.h"

NullDateEditPlugin::NullDateEditPlugin(QObject* parent)
        : QObject(parent)
{
}

void NullDateEditPlugin::initialize(QDesignerFormEditorInterface * /* core */)
{
   if(initialized)
      return;
   
   initialized = true;
   return;
}

bool NullDateEditPlugin::isInitialized() const
{
   return initialized;
}

QWidget* NullDateEditPlugin::createWidget(QWidget *parent)
{
   return new NullDateEdit(parent);
}

QString NullDateEditPlugin::name() const
{
   return "NullDateEdit";
}

QString NullDateEditPlugin::group() const
{
   return "BMSapp Widgets";
}

QIcon NullDateEditPlugin::icon() const
{
   return QIcon();
}

QString NullDateEditPlugin::toolTip() const
{
   return QString();
}

QString NullDateEditPlugin::whatsThis() const
{
   return QString();
}

bool NullDateEditPlugin::isContainer() const
{
   return false;
}

QString NullDateEditPlugin::domXml() const
{
   return "<ui language=\"c++\">\n"
	  " <widget class=\"NullDateEdit\" name=\"nullDatEditWidget\">\n"
          " </widget>\n"
          "</ui>\n";
}

QString NullDateEditPlugin::includeFile() const
{
   return "NullDateEdit.h";
}

